Bug 466949 - Fedora10-beta2 doesn't boot up on ppc970fx: Phyp-dump not supported
Fedora10-beta2 doesn't boot up on ppc970fx: Phyp-dump not supported
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
12
ppc64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-14 13:43 EDT by Dave Nomura
Modified: 2010-12-05 02:07 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 02:07:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
boot log from the machine (1.20 KB, text/plain)
2009-08-28 09:43 EDT, Martin Banas
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 49311 None None None Never

  None (edit)
Description Dave Nomura 2008-10-14 13:43:31 EDT
Description of problem:
After installing Fedora10-beta2 on an IBM blade: ppc970FX
I get the following:
After installing Fedora10-beta2, and rebooting after the following line:
   Phyp-dump not supported on this hardware
and then the machine just hangs.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. install Fedora10-beta2 on pp970fx
2. reboot machine
3.
  
Actual results:
Welcome to Fedora!
Hit <TAB> for boot options
Welcome to yaboot version 1.3.13 (Red Hat 1.3.13-12.fc9)
Enter "help" to get some basic usage information
boot: linux
Please wait, loading kernel...
   Elf64 kernel loaded...
Loading ramdisk...
ramdisk loaded at 03100000, size: 3718 Kbytes
OF stdout device is: /vdevice/vty@0
Hypertas detected, assuming LPAR !
command line: ro console=hvc0 rhgb quiet root=UUID=1d7122c8-1a3d-4bbb-b2b9-9f335
9909938
memory layout at init:
  alloc_bottom : 00000000034a2000
  alloc_top    : 0000000008000000
  alloc_top_hi : 000000007c000000
  rmo_top      : 0000000008000000
  ram_top      : 000000007c000000
Looking for displays
instantiating rtas at 0x0000000007a70000 ...rtas_ram_size = 2c8000
fixed_base_addr = 7a70000
code_base_addr = 7afa000
Code Image Load Complete.
registered vars:
name                              addr               size  hash align
--------------------------------  ----------------   ----  ---- -----
glob_rtas_trace_buf             : 0000000007ab9100  65552     7      0
prtas_was_interrupted           : 0000000007aca100      4     9      1
callperf                        : 0000000007aca400  12496     9      1
pglob_os_term_state             : 0000000007acd700      4    12      1
hypStopWatch                    : 0000000007ac9400   1800    14      8
prtas_in_progress               : 0000000007ac9e00      4    20      1
last_error_log                  : 0000000007acdc00   1024    30      0
nmi_work_buffer                 : 0000000007ace000   4096    31     12
 done
boot cpu hw idx 0000000000000000
starting cpu hw idx 0000000000000001... done
copying OF device tree ...
Building dt strings...
Building dt structure...
Device tree strings 0x00000000035a3000 -> 0x00000000035a3e30
Device tree struct  0x00000000035a4000 -> 0x00000000035ab000
Calling quiesce ...
returning from prom_init
Phyp-dump not supported on this hardware

machine hangs at this point

Expected results:
login prompt on console

Additional info:
Comment 1 Sam Varshavchik 2008-10-14 18:25:36 EDT
Reassigned to kernel.
Comment 2 IBM Bug Proxy 2008-10-30 07:11:05 EDT
Redhat Team,
Any updates here..
Thanks, Supriya
Comment 3 IBM Bug Proxy 2008-11-11 07:50:36 EST
Redhat Team,

This issue is not reproducible in Fedora 10 Preview release. Is this fixed?

Thanks
Pavan
Comment 4 IBM Bug Proxy 2008-11-18 15:30:33 EST
Discussed with Pavan. Since the issue is not recreatable in Fedora 10 preview release, closing this as 'Unreproducible' for now. Will reopen this issue incase the problem re-appears in any later release.
Comment 5 Bug Zapper 2008-11-25 22:52:30 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 François Cami 2009-02-05 19:09:32 EST
Thank you for the bug report. This particular bug was fixed and a update package
was published for download. Please feel free to report any further bugs you find.

You can obtain the updated package by typing 'yum update <package>' or using the
graphical updater, Software Update.
Comment 7 Martin Banas 2009-08-28 09:42:13 EDT
I have found this issue on rawhide-20090825 on PPC.


Version of components:

rawhide-20090825
anaconda-12.16-1.fc12.ppc
PPC


Steps to reproduce:

1. Start the instalation of rawhide on PPC.
2. Proceed to partitioning dialog.
3. Select "Create custom layout".
4. Create
   /dev/sda1   PXEBoot          8MB       none
   /dev/sda2      ext3          200MB     /boot
   /dev/sda3   software RAID    4000MB    none
   extended
     /dev/sda5 software RAID    4000MB    none
     /dev/sda6 swap             2000MB    swap

  Then create RAID0 device with ext3 filesystem and / mount point

5. finish the instalation selecting default packages and reboot the system.

Result: Phyp-dump not supported on this hardware

Expected result: system can boot.
Comment 9 Martin Banas 2009-08-28 09:43:44 EDT
Created attachment 359064 [details]
boot log from the machine
Comment 10 iarly selbir 2009-09-02 14:44:12 EDT
Two things I noted when installing f12a

1 - I wasn't asked about custom partition layout, I guess the installation selected and created a default partition layout

2 - After install it booted until the "Phyp-dump***" message

My machine is a IBM p5 550

Anything to help to big it, I'm available.

--
Fedora Triage Team Member
https://fedoraproject.org/wiki/BugZappers
Comment 11 iarly selbir 2009-09-02 15:20:23 EDT
s/big/fix/ =)
Comment 12 Bug Zapper 2009-11-16 04:30:34 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2010-11-04 07:45:23 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2010-12-05 02:07:22 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.